pugixml-doc_1.8.1-5_all.deb


Advertisement

Description

pugixml-doc - Light-weight C++ XML processing library (documentation)

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name pugixml-doc
Package version 1.8.1
Package release 5
Package architecture all
Package type deb
Installed size 837 B
Download size 225.79 KB
Official Mirror archive.ubuntu.com
pugixml is a lightweight C++ XML processing library with XPath
support. It features:
* DOM like interface with rich traversal/modification capabilities
* Extermely fast non-validating XML parser which constructs the DOM
tree from an XML file/buffer.
* XPath 1.0 implementation for complex data-driven tree queries
* Full Unicode support with Unicode interface variants and automatic
encoding conversions.
This package contains API documentation.

Alternatives

Package Version Architecture Repository
pugixml-doc_1.8.1-5_all.deb 1.8.1 all Ubuntu Universe
pugixml-doc - - -

Download

Type URL
Binary Package pugixml-doc_1.8.1-5_all.deb
Source Package pugixml

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pugixml-doc deb package:
    # sudo apt-get install pugixml-doc

Files

Path
/usr/share/doc-base/pugixml
/usr/share/doc/pugixml-doc/changelog.Debian.gz
/usr/share/doc/pugixml-doc/copyright
/usr/share/doc/pugixml-doc/manual.html
/usr/share/doc/pugixml-doc/quickstart.html
/usr/share/doc/pugixml-doc/images/dom_tree.png
/usr/share/doc/pugixml-doc/images/vs2005_link1.png
/usr/share/doc/pugixml-doc/images/vs2005_link2.png
/usr/share/doc/pugixml-doc/images/vs2005_pch1.png
/usr/share/doc/pugixml-doc/images/vs2005_pch2.png
/usr/share/doc/pugixml-doc/images/vs2005_pch3.png
/usr/share/doc/pugixml-doc/images/vs2005_pch4.png
/usr/share/doc/pugixml-doc/images/vs2010_link1.png
/usr/share/doc/pugixml-doc/images/vs2010_link2.png

Changelog

2017-08-18 - Jonas Smedegaard <dr@jones.dk>
pugixml (1.8.1-5) unstable; urgency=medium
* Fix revive symbols seemingly wrongly dropped since 1.7-1.
2017-08-18 - Jonas Smedegaard <dr@jones.dk>
pugixml (1.8.1-4) unstable; urgency=medium
* Tighten major version resolving used for our packaging.
* Update git-buildpackage config: Filter any .gitignore file.
* Modernize Vcs-* fields: Use git (not cgit) in path.
* Declare compliance with Debian Policy 4.0.1.
* Advertise DEP3 format in patch headers.
* Fix mark patch 2002 as not needing upstreaming.
* Drop obsolete lintian override regarding debhelper 9.
* Tighten experimental release resolving used for our packaging.
* Fix use pkg-kde-tools symbolshelper.
* Use d-shlibs (not dh-exec) to install pkgconfig.
Stop build-depend on dh-exec.
* Fix avoid using only upstream version for dpkg-gensymbols: A patch
may affect symbols.
* Update copyright info: Extend coverage for myself.
2017-07-15 - Vasudev Kamath <vasudev@copyninja.info>
pugixml (1.8.1-3) unstable; urgency=medium
* Fix the Vcs-Git URL.
Closes: bug#868010. Thanks to Kunal Mehta.
* Fix the install path for pkgconfig file.
Closes: bug#849810. Thanks to Kunal Mehta.
* debian/control:
+ Mark package as compliant with Debian Policy 4.0.0.
+ Drop -dbg package in favor of automatically generated -dbgsym
package.
* debian/rules:
+ Add dh_strip argument --dbgsym-migration to allow clean migration
from libpugixml1v5-dbg to libpugixml1v5-dbgsym.
* Fix the typo  in source lintian override.
2017-06-21 - Vasudev Kamath <vasudev@copyninja.info>
pugixml (1.8.1-2) unstable; urgency=medium
* Update symbol file for all architecture (except m68k and sh4).
2017-06-18 - Vasudev Kamath <vasudev@copyninja.info>
pugixml (1.8.1-1) unstable; urgency=medium
* Import new upstream version 1.8.
* debian/rules:
+ Drop upstream-tarball.mk snippets in favor of debian/watch.
+ Update location of CMakeLists.txt for capturing SOVERSION.
+ Relax symbol file generation on experimental.
+ Enable tests and pkg-config file generation.
+ Build depend on dh-exec for installing pkg-config files to
multi-arch path.
+ Install upstream shipped cmake files.
* debian/patches:
+ Refresh patches 2001 and 2002 with new upstream release.
+ Introduce patch 2003 to link test binary with static library to
avoid FTBFS.
+ Introduce patch 2004 to avoid installing into version suffixed
directory.
* Update copyright info:
+ Extend copyright period for upstream.
+ Extend copyright period for myself on Debian folder.
* Add copyright-check maintainer script to the source and drop build
time copyright check.
* debian/control:
+ Update my email address in maintainer field.
+ Mark package compliance with Debian policy 3.9.8.
+ Use secure URL for Vcs-* fields.
* Update symbols file for 1.8.1 for i386 architecture.
2015-11-06 - Vasudev Kamath <kamathvasudev@gmail.com>
pugixml (1.7-2) unstable; urgency=medium
* Update symbols file to include all architecture.
2015-11-01 - Vasudev Kamath <kamathvasudev@gmail.com>
pugixml (1.7-1) unstable; urgency=medium
* New upstream release.
+ Introduced a new compact tree storage mode that takes significantly
less memory (2-5x smaller DOM) at some performance cost.
+ New integer parsing/formatting implementation (3-5x faster at
getting/setting integers).
+ Added format_indent_attributes that makes the resulting XML
friendlier to line diff/merge tools.
+ Fix Clang 3.7 crashes in out-of-memory cases (C++ DR 1748)
* Refresh patch 2001 and 2002 for new release.
* Update symbols file for new release.
2015-10-08 - Vasudev Kamath <kamathvasudev@gmail.com>
pugixml (1.6-2) unstable; urgency=medium
* Update package name in symbols file

See Also

Package Description
pulseaudio-dlna_0.5.3+git20170406-1_all.deb Stream audio to DLNA devices and Chromecasts
pulseaudio-equalizer_10.0-2ubuntu3_i386.deb Equalizer sink module for PulseAudio sound server
pulseaudio-esound-compat_10.0-2ubuntu3_i386.deb PulseAudio ESD compatibility layer
pulseaudio-module-gconf_10.0-2ubuntu3_i386.deb GConf module for PulseAudio sound server
pulseaudio-module-jack_10.0-2ubuntu3_i386.deb jackd modules for PulseAudio sound server
pulseaudio-module-lirc_10.0-2ubuntu3_i386.deb lirc module for PulseAudio sound server
pulseaudio-module-raop_10.0-2ubuntu3_i386.deb RAOP module for PulseAudio sound server
pulseaudio-module-trust-store_10.0-2ubuntu3_i386.deb trust-store module for PulseAudio sound server
pulseaudio-module-zeroconf_10.0-2ubuntu3_i386.deb Zeroconf module for PulseAudio sound server
pulseview_0.2.0-1.2_i386.deb sigrok logic analyzer, oscilloscope, and MSO GUI
puma_3.6.0-1ubuntu1_i386.deb threaded HTTP 1.1 server for Ruby/Rack applications
pump_0.8.24-7_i386.deb BOOTP and DHCP client for automatic IP configuration
pumpa_0.9.3-1_i386.deb simple desktop client for pump.io, the distributed social network
puppet-common_4.10.4-2ubuntu1_all.deb transitional dummy package
puppet-lint_2.0.2-0.1_all.deb check puppet manifests for style guide conformity
Advertisement
Advertisement